/* Last modified on August 23rd, 2002 */


#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

// The next include contains the prototypes of the functions of
// libCk.c that are meant to be used by other programs. An example of
// how to use them follows in this file.

#include "libCk.h"


int main(int argc, char *argv[]){
  double k;
  double Qs;
  table_C *t;

  set_fpu_state();

  // Set the number of zeros we want to use, and allocate memory for
  // Euler's accelaration method
  init_workspace(20); // 20 is good enough... 

  //create_exponent_table(2000); exit(0);

  
    t=create_Ck_table(20.0,10000); 
    fprintf(stdout,"%.8e %.8e %.8e\n",t->Qs,t->avg_kt,t->sum_rule);

  exit(0);
}
