/* Last modified on August 22nd, 2002 */


typedef struct t_C {
  double Qs;
  int N;
  double *tbl_k;
  double *tbl_C;
  double sum_rule;
  double avg_kt;
  double kmin;
  double kmax;
  } table_C;

extern int Nzeros;
extern double *workspace;

double interpolate_from_1(double *table_b,double *table_d,double b,int N);
void create_exponent_table(int NF);
table_C *create_Ck_table(double Qs, int Nk);
double C_itp(double k,table_C *t);
void init_workspace(int N);
void set_fpu_state(void);
